diff -ur -x '*.gif' -x joomla.sql 1CRMportal-4.0-Installa/administrator/components/com_iahportal/include/JsonClient.php 1CRMportal-4.0-Installb/administrator/components/com_iahportal/include/JsonClient.php
--- 1CRMportal-4.0-Installa/administrator/components/com_iahportal/include/JsonClient.php	2013-12-22 05:33:13.000000000 +0100
+++ 1CRMportal-4.0-Installb/administrator/components/com_iahportal/include/JsonClient.php	2014-02-10 06:45:58.000000000 +0100
@@ -672,7 +672,7 @@
 		}
 		$this->log('Arguments : ', 'debug', $args2);
 		$ret = $this->make_request($method, $args);
-		$this->log('Result : ', 'debug', $this->json_raw_response);
+		$this->log('Result : ', 'debug', @$this->json_raw_response);
 		$adapter =& IAHPortalAdapter::create();
 		IAHPortalJsonClient::charset('UTF-8');
 		return $ret;
diff -ur -x '*.gif' -x joomla.sql 1CRMportal-4.0-Installa/administrator/components/com_iahportal/include/nusoap/nusoap.php 1CRMportal-4.0-Installb/administrator/components/com_iahportal/include/nusoap/nusoap.php
--- 1CRMportal-4.0-Installa/administrator/components/com_iahportal/include/nusoap/nusoap.php	2013-12-22 05:33:14.000000000 +0100
+++ 1CRMportal-4.0-Installb/administrator/components/com_iahportal/include/nusoap/nusoap.php	2014-02-10 06:45:58.000000000 +0100
@@ -51,7 +51,7 @@
 
 // class variable emulation
 // cf. http://www.webkreator.com/php/techniques/php-static-class-variables.html
-$GLOBALS['_transient']['static']['nusoap_base']->globalDebugLevel = 9;
+@$GLOBALS['_transient']['static']['nusoap_base']->globalDebugLevel = 9;
 
 /**
 *
diff -ur -x '*.gif' -x joomla.sql 1CRMportal-4.0-Installa/administrator/components/com_iahportal/ps_iah_sync.php 1CRMportal-4.0-Installb/administrator/components/com_iahportal/ps_iah_sync.php
--- 1CRMportal-4.0-Installa/administrator/components/com_iahportal/ps_iah_sync.php	2013-12-22 05:33:14.000000000 +0100
+++ 1CRMportal-4.0-Installb/administrator/components/com_iahportal/ps_iah_sync.php	2014-02-10 06:45:58.000000000 +0100
@@ -41,7 +41,7 @@
         // record the database object
 		$adapter =& IAHPortalAdapter::create();
 		$this->__objDatabase = $adapter->getDBO();
-		$this->buildLangList();
+		//$this->buildLangList();
 		$this->loadCurrency();
     }
 
@@ -1318,6 +1318,7 @@
 				'list_price' => $product->product_final_price,
 				'list_price_usd' => $product->product_final_price,
 				'unit_price' => $product->product_final_price,
+				'ext_price' => $product->product_final_price * $product->product_quantity,
 				'unit_price_usd' => $product->product_final_price,
 				'pricing_adjust_id' => md5(uniqid('')),
 			);
@@ -1351,11 +1352,16 @@
 
 
 			if (!empty($product->product_attribute)) {
+				$attrs = json_decode($product->product_attribute);
+				$attrs_text = "";
+				foreach ($attrs as $attr) {
+					$attrs_text .= preg_replace('~<span class="costumTitle">(.*)</span><span class="costumValue" >(.*)</span>~', "\\1: \\2\n", $attr);
+				}
 				$arAttributesLine = array(
 					$fieldBase . '_id' => $this->__strInvoiceId,
 					'line_group_id' => $strInvoiceLineGroupId,
 					'position' => $i,
-					'body' => $product->product_attribute,
+					'body' => $attrs_text,
 				);
 				// Create for properly formatted name/value list
 				$arNameValueList = $arAttributesLine;
@@ -1377,15 +1383,15 @@
 		}
 		
 
-		if (isset($orderInfo->order_shipping) && $orderInfo->order_shipping > 0) {
-			$shipping = (float)$orderInfo->order_shipping;
-			if (isset($orderInfo->order_shipping_tax)) {
-				$shipping += (float)$orderInfo->order_shipping_tax;
+		if (isset($orderInfo->order_shipment) && $orderInfo->order_shipment > 0) {
+			$shipping = (float)$orderInfo->order_shipment;
+			if (isset($orderInfo->order_shipment_tax)) {
+				$shipping += (float)$orderInfo->order_shipment_tax;
 			}
             $arShippingAdjust = array(
 				$fieldBase . '_id' => $this->__strInvoiceId,
 				'line_group_id' => $strInvoiceLineGroupId,
-				'name' => $product->product_name,
+				//'name' => $product->product_name,
 				'position' => 0,
 				'type' => 'UntaxedShipping',
 				'amount' => $shipping,
diff -ur -x '*.gif' -x joomla.sql 1CRMportal-4.0-Installa/plugins/system/iahportal/iahportal.php 1CRMportal-4.0-Installb/plugins/system/iahportal/iahportal.php
--- 1CRMportal-4.0-Installa/plugins/system/iahportal/iahportal.php	2013-12-22 05:38:53.000000000 +0100
+++ 1CRMportal-4.0-Installb/plugins/system/iahportal/iahportal.php	2014-02-10 06:46:00.000000000 +0100
@@ -342,7 +342,7 @@
 		}
 		$perm = array_flip($perm);
 		$disable_com = array();
-		$disable_task[] = array();
+		$disable_task = array();
 		if (empty($my->portal_username)) {
 			unset($perm['quotes'], $perm['cases'], $perm['projects'], $perm['bugs'], $perm['events']);
 			unset($perm['mycontact'], $perm['password'], $perm['kb']);
@@ -401,15 +401,19 @@
 		}
 		$hideIds = array();
 		foreach ($menu->getItems(array(), array()) as $i => $item) {
-			foreach ($disable_com as $re) {
-				if ($re == $item->query['option']) {
-					$hideIds[] = $item->id;
+			if (isset($item->query['option'])) {
+				foreach ($disable_com as $re) {
+					if ($re == $item->query['option']) {
+						$hideIds[] = $item->id;
+					}
 				}
 			}
-			foreach ($disable_task as $re) {
-				$re = "/.*$re.*/";
-				if (preg_match($re, $item->query['layout'])) {
-					$hideIds[] = $item->id;
+			if (isset($item->query['layout'])) {
+				foreach ($disable_task as $re) {
+					$re = "/.*$re.*/";
+					if (preg_match($re, $item->query['layout'])) {
+						$hideIds[] = $item->id;
+					}
 				}
 			}
 		}
diff -ur -x '*.gif' -x joomla.sql 1CRMportal-4.0-Installa/templates/beez_20/css/position.css 1CRMportal-4.0-Installb/templates/beez_20/css/position.css
--- 1CRMportal-4.0-Installa/templates/beez_20/css/position.css	2013-12-22 05:38:59.000000000 +0100
+++ 1CRMportal-4.0-Installb/templates/beez_20/css/position.css	2014-02-10 06:46:01.000000000 +0100
@@ -216,10 +216,11 @@
 
 #logo span.header1
 {
-        font-size:0.4em;
+        font-size:0.45em !important;
         display:block;
         top:0em;
-        line-height:0.8em
+        line-height:2em !important;
+		padding-left: 16px !important;
 }
 
 .logoheader
@@ -418,4 +419,4 @@
         padding:10px 15px 15px 10px;
 }
 
-img { border: 0 none; }
\ No newline at end of file
+img { border: 0 none; }
